/*
* Author: 
* Description: 
*/
var Update = function() {
  var self = this;

  var host = "https://open-forum.onestonesoup.org";
  var releasesPath = "/OpenForum/ReleasedPackages";

  self.getUpdateInfo = function(pageName) {
    var data = "" + external.getURLAsString(host+releasesPath+"?action=releaseInfo&pageName="+pageName);
    return JSON.parse(data).release;
  };

  self.getReleases = function() {
    var data = "" + external.getURLAsString(host+releasesPath+"/releases.csv");
    return data;
  };

  self.update = function(pageName) {
    var fileName = pageName.split("/");
    fileName = fileName[fileName.length-1];
    fileName = fileName + ".wiki.zip";

    var url = host + releasesPath + "/" + fileName;
    external.getURLAsFile( url,pageName,fileName );
    file.unZipAttachment(pageName,fileName);

    return "Page " + pageName + " updated from " + host;
  };
};