var action = transaction.getParameter("action");
if(action===null) {
  transaction.setResult(transaction.SHOW_PAGE);
  return;
}

try{
  action = ""+action;
  result = {result: "error", message: "Action "+action+" not recognised."};

  if(action==="getUpdate") {
    var pageName = "" + transaction.getParameter("pageName");

    var Updater = js.getObject("/OpenForum/AddOn/Update","Update.sjs");
    var response = Updater.update(pageName);

    result = {result: "ok", message: response};
  } else if(action==="getUpdateInfo") {
    var pageName = "" + transaction.getParameter("pageName");

    var Updater = js.getObject("/OpenForum/AddOn/Update","Update.sjs");
    var release = Updater.getUpdateInfo(pageName);

    result = {result: "ok", release: release};  
  } else if(action==="getReleases") {
    var pageName = "" + transaction.getParameter("pageName");

    var Updater = js.getObject("/OpenForum/AddOn/Update","Update.sjs");
    var csv = Updater.getReleases(pageName);

    result = {result: "ok", csv: csv};  
  }
} catch(e) {
  transaction.sendJSON( JSON.stringify({result: "error",message: "Error:"+e+" on line "+e.lineNumber+" of "+e.sourceName}));
  return;
}

transaction.sendJSON( JSON.stringify(result) );
