/*
* Author: 
*/
var host = "https://open-forum.onestonesoup.org";

var version = "v0.5 Alpha";

var releases = [];
var release = {
  releaseTimeStamp: "",
  releaseTime: "",
  pageName: "",
  zipFileName: "",
  zipFileSize: "",
  releasePackage: ""
};

OpenForum.init = function() {
  getReleases();
};

function getUpdate() {
  OpenForum.scan();
  JSON.get("/OpenForum/AddOn/Update","getUpdate","pageName="+targetPageName).onSuccess(
    function(response) {
      alert( response.message );
    }
  ).go();
}

function getUpdateInfo() {
  OpenForum.scan();
  JSON.get("/OpenForum/AddOn/Update","getUpdateInfo","pageName="+targetPageName).onSuccess(
    function(response) {
      release = response.release;
    }
  ).go();
}

function getReleases() {
  releases = [];
  OpenForum.scan();
  JSON.get("/OpenForum/AddOn/Update","getReleases","pageName="+targetPageName).onSuccess(
    function(response) {
      var data = response.csv;
      var rows = data.split("\n");
      for(var i=1;i<rows.length;i++) {
        var cells = rows[i].split(",");
        if(cells.length!=5) continue;
        releases.push( {pageName: cells[0], releaseTime:cells[4]} );  
      }
      OpenForum.scan();
    }
  ).go();
}